#include <stdio.h>
#include <stdlib.h>
#include <limits.h>
#include <math.h>

int main()
{
    long long int n, x, a, i, max=LLONG_MIN, min=LLONG_MAX, amax, amin;
    scanf("%lld %lld", &n, &x);
    for (i=0; i<n; i++){
        scanf ("%lld", &a);
        if (a>max) max=a;
        if (a<min) min=a;
    }
    amax=abs(x-max);
    amin=abs(x-min);
    if (x<min && x<max) printf ("%lld", amax);
    else if (x>min && x>max) printf ("%lld", amin);
    else {
        if (amin>amax) printf ("%lld", 2*amax+amin);
        else printf("%lld", 2*amin+amax);
    }
    return 0;
}